activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andreas Guther" <>
Subject Snapshot dependency in released ActiveMQ 5.0.0 must be removed
Date Thu, 27 Mar 2008 18:04:37 GMT
I moved this morning to ActiveMQ 5.0.0 and encountered problems with the
dependency on org.apache.activemq:activeio-core:jar:3.1-SNAPSHOT. This
led me to the following thread:


Using the exclusion fixed my problem.  But I what I found disturbing is
the dependency of a released version on SNAPSHOTS.  This in my eyes not
acceptable and anyone who uses the Maven release process will not be
able to release the application since a build will be refused if any
SNAPSHOT dependency is detected.  This makes totally sense since a
SNAPSHOT is consider as un unstable version and as we can see might
disappear any time.


I think that the dependency needs to be fixed in ActiveMQ 5.0.x as soon
as possible.




  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message